<template>
    <div :class="norill?'no-roll':''" >
		        <div class = "lod">
          <Loading></Loading>
        </div>
		<StSportsHead />

    <!-- <StCapot/> -->
    <!-- 参赛表组件 -->
    <div v-if="entryFormShow == 10">
       <entryForm/>
    </div>
    <!-- 赛事详情组件 -->
    <div v-else-if="entryFormShow == 100">
	    <StSerchBox />
    </div>
    <!-- 冠军盘口组件 -->
    <!-- <div v-else-if="entryFormShow == 1000">
      <champion/>
    </div> -->
		<!-- <StLinkFooter />  -->
    </div>
    
</template>
<script>
import StCapot from "@/components/StCapot"
import StSportsHead from "@/components/StSportsHead"
import StSerchBox from "@/components/StSerchBox"
import entryForm from "@/components/StEntryForm"
import StLinkFooter from "@/components/StLinkFooter"
import champion from "@/components/Stchampion"
import Loading from '@/components/StLoading';
export default {
	data() {
		return {
      isTrue:false,
      entryFormShow:0,
      norill:false,
		}
  },
  name:'LeagueList',
	components:{
		StSportsHead,
		StSerchBox,
		// StCapot,
		StLinkFooter,
    Loading,
    entryForm,
    champion
  },
  created(){
    let query = this.$route.query;
    if(query.code || query.today != undefined || query.hMatch != undefined){
      this.entryFormShow = 10;
    }else if(query.champion){
      this.entryFormShow = 1000;
    }else{
      this.entryFormShow = 100;
    }
  },
  computed: {
    getIsBetting(){
        
      return this.$store.getters.getIsBetting
    },
    noRoll(){
     // console.log(this.$store.getters.getNoRoll,'ccc')
			return this.$store.getters.getNoRoll
		}
	},
  watch: {
    getIsBetting(val){
      // if(this.$route.query.code){
      //     this.entryFormShow = true;
      //   }else{
      //     this.entryFormShow = false;
      //   }
      // console.log( val);
      this.$store.dispatch('SET_NOROLL',false)
      this.data = val;
    },
    noRoll(val){
			this.norill=val
		}
  },
}
</script>
<style scoped>
/* .noScroll {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
} */	
.no-roll{
    z-index: 999;
    width: 100%;
		position: fixed;
		top: 0;
		left: 0;
	}
    .lod{
        z-index: 999;
        position: fixed;
        width: 100%;
        width: 100%;
    }
</style>